Jak zainstalować nasze pakiety LMDE w 3 sekundy

Korzystając z ostatni artykuł o czym napisałem MintBackup, Chcę wam pokazać trzy proste sposoby ponownej instalacji pakietów, których używamy podczas ponownej instalacji naszego LMDE.

Właściwie, z wyjątkiem pierwszej formy, pozostałe mogą być używane zarówno w Debianjak w Ubuntu.

Instalacja w 3 sekundy

Graficznie.

To najbardziej lubiany, wszystko graficzne i bez konieczności dotykania terminala. W LMDE y LinuxMintjest wspaniałe narzędzie o nazwie MintBackup, które między innymi możemy wykorzystać do zapisania naszych paczek, a później do ich ponownej instalacji.

W przypadku LMDE, jeśli zaktualizujemy pakiet python-apt do wersji 0.8.0 nie będziemy mogli używać MintBackup z powodu problemu zależności. Zwróci następujący błąd:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Mam nadzieję, że chłopaki z mięta napraw to wkrótce.

Przez terminal.

Za pomocą konsoli możemy to zrobić na 2 sposoby, które ostatecznie były takie same.

W 2 krokach.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Gdy już mamy dostęp do repozytoriów i wszystko jest skonfigurowane i zaktualizowane, wystarczy umieścić to:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

W 3 krokach.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Po ponownej instalacji wykonujemy to:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

A potem biegniemy:

apt-get -u dselect-upgrade

Myślę, że nie ma potrzeby wyjaśniać, że musimy mieć poprawnie skonfigurowane repozytoria. Proste, prawda?


Treść artykułu jest zgodna z naszymi zasadami etyka redakcyjna. Aby zgłosić błąd, kliknij tutaj.

8 komentarzy, zostaw swoje

Zostaw swój komentarz

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *

*

*

  1. Odpowiedzialny za dane: Miguel Ángel Gatón
  2. Cel danych: kontrola spamu, zarządzanie komentarzami.
  3. Legitymacja: Twoja zgoda
  4. Przekazywanie danych: Dane nie będą przekazywane stronom trzecim, z wyjątkiem obowiązku prawnego.
  5. Przechowywanie danych: baza danych hostowana przez Occentus Networks (UE)
  6. Prawa: w dowolnym momencie możesz ograniczyć, odzyskać i usunąć swoje dane.

  1.   Odwaga powiedział

    Lub też zapisujesz wszystkie programy, które miałeś wcześniej i robisz

    sudo apt-get -y insall wszystkie pakiety, które zostały usunięte

    Naprawdę nie wiem, czy LMDE ma ten sam cel co Linux MInt, czyli być po wyjęciu z pudełka

    1.    Odwaga powiedział

      * zainstalować

  2.   Hokasito powiedział

    Chociaż jest to trochę „nie na temat”, chciałem ostrzec, że kandydaci do wydania wyszli w Linux Mint Debian 201108 dla GNOME i XFCE. Mam nadzieję, że wprowadzono sporo ulepszeń… 🙂

    1.    elav <° Linux powiedział

      Cóż, tak, co się dzieje, kiedy ta wspaniała wiadomość została opublikowana, byliśmy off-line ... Dziękuję.

  3.   Mitkoy powiedział

    Właśnie cię odkryłem i DZIĘKUJĘ.
    Wczoraj zainstalowałem 64-bitowy LMDE i mam się dobrze, ale mam 2 małe rzeczy do odkrycia:

    1– Zaloguj się jako root w trybie graficznym

    2. - Ustaw VLC jako domyślny odtwarzacz wideo

    Myślę, że dostałbym to z panelu sterowania preferowanych aplikacji lub otwierając inną aplikację / używając tej aplikacji domyślnie. Zalogowany jako root.

    Zrobiłem sudo nautilus na wszelki wypadek i nic.

    PS1: W 64 bitach, jeśli abckup pakietów działa dobrze.
    PS2: Muszę też zainstalować MAME SDL i najnowszy wine64, dla którego chciałbym mieć ppa, ponieważ późniejsza konfiguracja programów nie powoduje ich automatycznej aktualizacji.
    PS3: Używam sterownika AMD beta AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, aby zobaczyć geolokalizowaną serię w przeglądarce Firefox, Chrome - którą należy zainstalować -, pomoc Flash Firefox z 64-bitowym Flash, Zindus, Qbittorrent, Opera, rozszerzenie aletras.oxt i skrypt receinte do kontrolowania nadmiaru pamięci podręcznej RAM zadania to również zasługuje na Twój komentarz.

    Z niecierpliwością czekam na piątą część samouczka z tymi i / lub innymi sugestiami

  4.   KOMECON powiedział

    Witaj!
    Jedna rzecz, powinniśmy zmienić pierwszy link, który wysyła artykuł MintBackup, na ten: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Nie wiem dlaczego, prowadzi do podkatalogu „/ wp-content / themes” ...

    1.    KZKG ^ Gaara powiedział

      Gotowe, poprawione 😉

  5.   Nahum powiedział

    Witam, od poprzedniej wersji LMDE amd64 miałem problemy z zepsutymi pakietami i błędami podczas ładowania repozytoriów, próbowałem wielu rozwiązań i żadne z nich nie działa… nie wiem już co robić, chciałem zainstalować Gnome-shell i nie pozwolił mi, ponieważ pakiet jest zepsuty. Widziałem, jak rozwiązać zepsute pakiety za pomocą poleceń takich jak: sudo dpkg –purge –force-remove-reinstreq

    i otrzymuję następujący błąd:

    dpkg: błąd: –purge wymaga co najmniej jednej nazwy pakietu jako parametru

    Wpisz dpkg –help, aby uzyskać pomoc przy instalowaniu i odinstalowywaniu pakietów [*];
    Użyj `dselect 'lub` aptitude' dla bardziej przyjaznego zarządzania pakietami;
    Wpisz dpkg -Dhelp, aby wyświetlić listę ustawień debugowania dpkg;
    Wpisz dpkg –force-help, aby zobaczyć listę opcji wymuszających rzeczy;
    Wpisz dpkg-deb –help, aby uzyskać pomoc dotyczącą manipulowania plikami .deb;

    Opcje oznaczone [*] generują długie dane wyjściowe,
    Filtruj za pomocą „mniej” lub „więcej”!

    czy ktoś może mi w tym pomóc 🙂